import http from '@/utils/request'
export function apiFaceList (params) {
  return http.post('face/getFaceList', { data: params })
}
export function apiCreateFace (params) {
  return http.post('face/createFace', { data: params })
}
export function apiUpdateFace (params) {
  return http.post('face/updateFace', { data: params })
}

// 判断是否为人脸，参数是传入两张照片的base64编码数据
export function faceidentify11 (params) {
  return http.post('/face/private/faceidentify11', { data: params })
}

export function deleteFace (ids) {
  return http.post('/admin/face/delete', { data: {
    idList: [ids]
  } })
}

export function getFaceById (params) {
  return http.post('/admin/face/getFaceById', { data: params })
}

export function compareFace (params) {
  return http.post('/admin/face/compare', { data: params })
}
